Bug 142464 - [PATCH] "RPC: garbage, exit EIO" when using NFSv3 with Kerberos 5
[PATCH] "RPC: garbage, exit EIO" when using NFSv3 with Kerberos 5
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
3
All Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Jones
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-12-09 16:28 EST by Chuck Lever
Modified: 2015-01-04 17:13 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-06-08 11:13:07 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
2.6 upstream patch to address the "garbage, exit EIO" messages (3.09 KB, patch)
2004-12-09 16:31 EST, Chuck Lever
no flags Details | Diff

  None (edit)
Description Chuck Lever 2004-12-09 16:28:34 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.5)
Gecko/20041111 Firefox/1.0

Description of problem:
Mounted a NetApp filer with "vers=3,sec=krb5" mount options.  The
mount is the user home directory.  The message "RPC: garbage, exit
EIO" appears in the console log each time a user logs in.

Version-Release number of selected component (if applicable):
2.6.9-1.681_FC3

How reproducible:
Always

Steps to Reproduce:
1.  Set up your system to use Kerberos 5
2.  Mount a NetApp filer with "vers=3,sec=krb5" as the home directory
3.  log in
    

Actual Results:  "RPC: garbage, exit EIO" appears in console log. 
Sometimes a user's home directory becomes inaccessible (we theorize
that the filer is idle-expiring their Kerberos context).

Expected Results:  No error messages in the console log.  Linux NFS
client should recover after filer times out GSS context allowing user
to continue accessing their files after a period of inactivity.

Additional info:
Comment 1 Chuck Lever 2004-12-09 16:31:11 EST
Created attachment 108262 [details]
2.6 upstream patch to address the "garbage, exit EIO" messages

This is a patch destined for upstream integration in 2.6.11, or thereabouts. 
It does address the console message issue; still testing to see if it also
handles the filer context idle-expiry issue.
Comment 2 Chuck Lever 2004-12-10 11:21:25 EST
as far as i can tell, this patch also addresses the case where the
server expires the session's security context (as described above).  
the client now retries the failing RPC with a GSS sequence number of 
zero so that a new context can be established.

the patch attached to this ticket, then, is required for supporting 
NFSv3 and NFSv4 with Kerberos.
Comment 3 Chuck Lever 2005-01-31 16:25:14 EST
kernel 2.6.10-1.741_FC3 still has this issue.  this patch will appear
in 2.6.11, so any FC3 kernel based on 2.6.11 or higher will have this
already.

however, it will be necessary to add this patch to RHEL 4.0's kernel
in order to support NFS (any version) over Kerberos.
Comment 5 Tim Powers 2005-06-08 11:13:07 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2005-420.html

Note You need to log in before you can comment on or make changes to this bug.